Package com.castlabs.android.player

## Class BasePlayerModelBuilder

- java.lang.Object
- - com.castlabs.android.player.BasePlayerModelBuilder

-     public class BasePlayerModelBuilder
      extends Object

  Helper class that takes care of the track renderer creation using the registered `TrackRendererPlugin` plugins.
  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasePlayerModelBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TrackRendererPlugin.TrackRendererContainer` | `createRenderer​(PlayerController playerController, CasConfiguration casConfiguration, TrackRendererPlugin.Type type)` |
    `com.google.android.exoplayer2.RendererCapabilities` | `getRendererCapabilities​(Context context, TrackRendererPlugin.Type type, DrmConfiguration drmConfiguration)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePlayerModelBuilder

          public BasePlayerModelBuilder()

  - ### Method Detail

    - #### getRendererCapabilities

          @Nullable
          public com.google.android.exoplayer2.RendererCapabilities getRendererCapabilities​(@NonNull
                                                                                            Context context,
                                                                                            TrackRendererPlugin.Type type,
                                                                                            @Nullable
                                                                                            DrmConfiguration drmConfiguration)

    - #### createRenderer

          public TrackRendererPlugin.TrackRendererContainer createRenderer​(@NonNull
                                                                           PlayerController playerController,
                                                                           @Nullable
                                                                           CasConfiguration casConfiguration,
                                                                           @NonNull
                                                                           TrackRendererPlugin.Type type)
                                                                    throws CastlabsPlayerException

      Throws:
        `CastlabsPlayerException`